%if 0%{?el7}
%define dist .el7
%endif

%{!?_httpd_confdir: %{expand: %%global _httpd_confdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.modules.d}}
%{!?_httpd_moddir: %{expand: %%global _httpd_moddir %{_libdir}/httpd/modules}}

Name:		mod_ntraffic
Version:	0.6
Release:	5%{?dist}
Summary:	Record traffic statistics for each apache virtual host or a grand total for the whole server.

Group:		System Environment/Daemons
License:	MPL 2.0
URL:		https://github.com/ctrix/apache-mod-ntraffic
Source0:	https://github.com/ctrix/apache-mod-ntraffic/archive/v0.6.zip
Source1:    %{name}.conf
Source2:    10-%{name}.conf
Patch0:     0001-mod_ntraffic-0.6-compile.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: httpd-devel
BuildRequires: gcc
Requires: httpd-mmn = %{_httpd_mmn}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
mod_ntraffic is an apache module to record traffic statistics for each apache virtual host or a grand total for the whole server.
The module collects the hits, the inbound bytes and the outbound bytes. 
The data are made available through HTTP GET requests to a configurable handler which can return data in XML, Json or PlainText formats.
The data are also stored eventually on the filesystem for persistence or easier collection if necessary. 

%prep
%setup -q -n apache-mod-ntraffic-0.6
%patch -p1 0

%build
APXS_OPTS="-Wc,-Wstrict-prototypes -Wc,-Werror -Wc,-Wall"
apxs $APXS_OPTS -n 'ntraffic' -c %{name}.c shm_pool.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_httpd_confdir}
mkdir -p $RPM_BUILD_ROOT%{_httpd_moddir}
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
mkdir -p $RPM_BUILD_ROOT%{_httpd_modconfdir}
rm -f $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_httpd_modconfdir}/10-%{name}.conf
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > %{name}.conf.tmp
install -D -m0644 %{name}.conf.tmp $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%endif
install -D -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_httpd_moddir}/%{name}.so
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/httpd/ntraffic

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md addons/
%{!?_licensedir:%global license %%doc}
%license LICENSE
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config %{_httpd_modconfdir}/10-%{name}.conf
%endif
%config(noreplace) %{_httpd_confdir}/%{name}.conf
%{_httpd_moddir}/%{name}.so*
%attr(0700,apache,apache) %dir %{_localstatedir}/cache/httpd/ntraffic

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.6-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.6-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.6-3
- Rebuilt for fc22

* Tue Mar 11 2014 momo-i <webmaster@momo-i.org> - 0.6-2
- Change data directory.

* Mon Mar 10 2014 momo-i <webmaster@momo-i.org> - 0.6-1
- Initial rpm release.
